
Application: gvSIG desktop - gvSIG feature requests #3482
Geometrías incongruentes en el proveedor de DGN
05/18/2015 10:56 AM - Francisco Díaz Carsí

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category:
Target version: 2.2.0-2312
gvSIG version: 2.2.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

Al abrir un DGN 3D se crean algunas geometrías de tipo 2D lo cual, aunque no es un error para el formato de archivo DGN, debe ser
evitado por posibles problemas posteriores.
Ya se intenta en algunos casos, pero en algunos tipos de elementos parece que no se ha tenido en cuenta.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3007: Error al exportar ... Closed 11/17/2014

Associated revisions
Revision 130 - 05/26/2015 04:23 PM - Francisco Díaz Carsí

fixes #3482 Cambios necesarios para que el DGNStoreProvider cree siempre geometrías 3D

Revision 42206 - 05/26/2015 04:23 PM - Francisco Díaz Carsí

fixes #3482 Cambios necesarios para que el DGNStoreProvider cree siempre geometrías 3D

History
#1 - 05/18/2015 10:56 AM - Francisco Díaz Carsí
- Related to gvSIG bugs #3007: Error al exportar de dgn a shp added

#2 - 05/18/2015 05:12 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2311-rc2

#3 - 05/21/2015 08:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#4 - 05/26/2015 04:23 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset gvsig-dgn:r130.

#5 - 05/26/2015 04:25 PM - Francisco Díaz Carsí
- % Done changed from 100 to 0

Finalmente se ha decidido que DGN solo cree geometrías 3D porque en el momento de crear los featureTypes no podemos distinguir el subtipo del
archivo DGN a leer.

#6 - 05/27/2015 06:14 PM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#7 - 05/28/2015 06:45 PM - Álvaro Anguix
- Status changed from Fixed to Closed
